<div class="row">
	<div class="col-12">
		<h2>Filter search results</h2>
	</div>
</div>

<div class="row">
	<div class="col-12">
		<form name="filters" method="post">
			<div class="row">
				<?php
					$searchOptions = array(
						'url' => array(
							'controller' => 'properties',
							'action' => 'index'
						),
						'inputDefaults' => array(
							'label' => false,
							'div' => false
						),
						'class' => 'form form-inline pull-right'
					);
					echo $this->Form->create('property_filters', $searchOptions);
				?>

				<?php echo (preg_match('/\/map/', $this->here) ? '<div class="row">' : '') ?>
				<div class="col-1<?php echo (preg_match('/\/map/', $this->here) ? 2 : 0) ?>">
					<div class="row">
						<div class="col-<?php echo (preg_match('/\/map/', $this->here) ? 12 : 3) ?>">
							<label>Property location</label><br/>
							<?php echo $this->Form->input('area', array('id' => 'google-maps-location-autocomplete')); ?>
							<?php
								echo $this->Form->input('latitude', array('type' => 'hidden', 'id' => 'filters-latitude'));
								echo $this->Form->input('longitude', array('type' => 'hidden', 'id' => 'filters-longitude'));
							?>
						</div>

						<div class="col-<?php echo (preg_match('/\/map/', $this->here) ? 12 : 3) ?>">
							<label>Property Type</label><br/>
							<?php
								echo $this->Form->input('type', array(
									'options' => $property_types,
									'empty' => 'All Property Types',
									'default' => '',
									'class' => 'type-select',
									'id' => 'filters-property-type'
								));
							?>
						</div>

						<div class="col-<?php echo (preg_match('/\/map/', $this->here) ? 12 : 3) ?>">
							<label>Price</label><br/>
							<div class="row">
								<div class="col-6 <?php echo (preg_match('/\/map/', $this->here) ? '' : 'gutterless') ?>">
									<?php
										echo $this->Form->input('min_price', array(
											'options' => $min_prices,
											'empty' => 'No Min',
											'default' => '',
											'class' => 'price-select',
											'id' => 'filters-min-price'
										));
									?>
								</div>
								<div class="col-6 <?php echo (preg_match('/\/map/', $this->here) ? '' : 'gutterless') ?>">
									<?php
										echo $this->Form->input('max_price', array(
											'options' => $max_prices,
											'empty' => 'No Max',
											'default' => '',
											'class' => 'price-select',
											'id' => 'filters-max-price'
										));
									?>
								</div>
							</div>
						</div>

						<div class="col-<?php echo (preg_match('/\/map/', $this->here) ? 12 : 3) ?>">
							<label>Bedrooms</label><br/>
							<div class="row">
								<div class="col-6 <?php echo (preg_match('/\/map/', $this->here) ? '' : 'gutterless') ?>">
									<?php
										echo $this->Form->input('min_bedrooms', array(
											'options' => $min_bedrooms,
											'empty' => 'No Min',
											'default' => '',
											'class' => 'bedroom-select',
											'id' => 'filters-min-bedrooms'
										));
									?>
								</div>
								<div class="col-6 <?php echo (preg_match('/\/map/', $this->here) ? '' : 'gutterless') ?>">
									<?php
										echo $this->Form->input('max_bedrooms', array(
											'options' => $max_bedrooms,
											'empty' => 'No Max',
											'default' => '',
											'class' => 'bedroom-select',
											'id' => 'filters-max-bedrooms'
										));
									?>
								</div>
							</div>
						</div>
					</div>
				</div>
				<?php echo (preg_match('/\/map/', $this->here) ? '</div>' : '') ?>
				<?php if (preg_match('/\/map/', $this->here)): ?>
						<div class="row">
							<div class="col-12">
								<a class="button form-submit" href="#">Update Search&nbsp;<i class="fa fa-caret-right"></i></a>
							</div>
						</div>
					<?php else: ?>
						<div class="col-2">
							<a class="button form-submit" href="#">Update Search&nbsp;<i class="fa fa-caret-right"></i></a>
						</div>
				<?php endif; ?>
				<?php echo $this->Form->end(); ?>

			</div>

		</form>
		<?php if (!preg_match('/\/map/', $this->here)): ?>
				<div class="hr"></div>
			<?php endif; ?>
	</div>
</div>